Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.util
[Java] Class FastArray

    java.lang.Object
      org.codehaus.groovy.util.FastArray

All Implemented Interfaces:
  Cloneable

    public class FastArray
    extends Object

Field Summary
`static FastArray` | `EMPTY_LIST`
`int` | `size`

Constructor Summary
`FastArray(int initialCapacity)`
`FastArray()`
`FastArray(Collection c)`
`FastArray(Object[] objects)`

Method Summary
`void` | `add(Object o)`
`void` | `addAll(FastArray newData)`
`void` | `addAll(Object[] newData, int size)`
`void` | `addAll(List coll)`
`void` | `clear()`
`FastArray` | `copy()`
`Object` | `get(int index)`
`Object[]` | `getArray()`
`boolean` | `isEmpty()`
`void` | `remove(int index)`
`void` | `set(int index, Object o)`
`int` | `size()`
`List` | `toList()`
`String` | `toString()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### EMPTY_LIST

    public static final FastArray EMPTY_LIST

### size

    public int size

Constructor Detail

### FastArray

    public FastArray(int initialCapacity)

### FastArray

    public FastArray()

### FastArray

    public FastArray(Collection c)

### FastArray

    public FastArray(Object[] objects)

Method Detail

### add

    public void add(Object o)

### addAll

    public void addAll(FastArray newData)

### addAll

    public void addAll(Object[] newData, int size)

### addAll

    public void addAll(List coll)

### clear

    public void clear()

### copy

    public FastArray copy()

### get

    public Object get(int index)

### getArray

    public Object[] getArray()

### isEmpty

    public boolean isEmpty()

### remove

    public void remove(int index)

### set

    public void set(int index, Object o)

### size

    public int size()

### toList

    public List toList()

### toString

    public String toString()

Copyright © 2003-2010 The Codehaus. All rights reserved.